<?php
if (!defined('IN_PHPBB'))
{
	exit;
}
/**
 *
 * @package acp
 * @version $Id: v3_modules.xml 52 2007-12-09 19:45:45Z jelly_doughnut $
 * @copyright (c) 2007 phpBB Group
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */
	
/**
 * @package acp
 */
class acp_talkmessage
{
	var $u_action;
	var $chat_table = "mod_talkmessage";
	var $extendchecked;
	var $localchecked;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		include($phpbb_root_path . 'includes/acp/info/acp_talkmessage.' . $phpEx);
		$user->add_lang('mods/talkmessage');
		$submit 		= (isset($_POST['submit'])) ? true : false;
		$version = new acp_talkmessage_info();

	 	if (!isset($config['talkmessage_version']))
	 	{

			$version->install($this->chat_table);
	 	}


		$chatconfig = $this->get_config_value($db);


		$listen = split('\|\|',$chatconfig['listen']); 

		if($listen[0] == 'on')
		{
			$this->tmsubmit = "checked";
			$template->assign_vars(array(
				'S_EXTEND'        		=>  true,
			)
			);
		}
		if($listen[1] == 'on')
		{
			$this->tmreply = "checked";
			$template->assign_vars(array(
				'S_EXTEND'        		=>  true,
			)
			);
		}
		if($listen[2] == 'on' )
		{
			$this->tmedit = "checked";
				
			$template->assign_vars(array(
				'S_EXTEND'        		=>  true,
			)
			);
		}


		$template->assign_vars(array(
			'ERROR'						=> (sizeof($error)) ? implode('<br />', $error) : '',
			'EXTEND_TM_SUBMIT'        	=>  $this->tmsubmit,
			'EXTEND_TM_REPLY'           => $this->tmreply,
			'EXTEND_TM_EDIT'         	=>  $this->tmedit,
			'EXTEND_HOST_PORT'   		=> 	$chatconfig['host_port'],
			'EXTEND_HOST_ADDRESS'   	=> 	$chatconfig['host_address'],
			'EXTEND_EFFECT_ROOM'     	=> 	$chatconfig['effect_room'],
			'EXTEND_GROUP_NAME'     	=> 	$chatconfig['host_group_name'],
			'EXTEND_API_PWD'     	    => 	$chatconfig['host_api_pwd'],
			'EXTEND_TEXT_COLOR'     	=> 	$chatconfig['nowColor'],
			'EXTEND_POST_TXT'     	    => 	$chatconfig['post_txt'],
			'EXTEND_REPLY_TXT'     	    => 	$chatconfig['reply_txt'],
			'EXTEND_EDIT_TXT'     	    => 	$chatconfig['edit_txt'],
			'EXTEND_MAX_WORD'     	    => 	$chatconfig['max_word'],
		)
		);

		// Set up the page
		$this->tpl_name 	= 'acp_talkmessage';
		$this->page_title 	= 'TalkMessage';
			

		if ($submit)
		{
			$this->post = $_POST;
			$this->save_chat_info($db);
			trigger_error("Chat Configuration update successfully". adm_back_link($this->u_action));
		}
	}

	function get_config_value($db)
	{
		$sql = "select * from ".$this->chat_table;
		$result = $db->sql_query($sql);
		return $db->sql_fetchrow($result);
	}

	function save_chat_info($db)
	{

		$listen = '';
		$listen .= (empty($_POST[type_submit])?'off':$_POST[type_submit]).'||';
		$listen .= (empty($_POST[type_reply])?'off':$_POST[type_reply]).'||';
		$listen .= (empty($_POST[type_edit])?'off':$_POST[type_edit]);
	    $sql = "update ".$this->chat_table." set
		host_address   = '$_POST[host_address]',
		host_group_name = '$_POST[host_group_name]',
		host_api_pwd = '$_POST[host_api_pwd]',
		host_port  = '$_POST[host_port]',
		effect_room  = '$_POST[effect_room]',
		nowColor = '$_POST[nowColor]',
		post_txt  = '$_POST[post_txt]',
		reply_txt  = '$_POST[reply_txt]',
		edit_txt  = '$_POST[edit_txt]',
		max_word  = '$_POST[max_word]',
		listen  = '$listen'";
		$result = $db->sql_query($sql);
		$db->sql_freeresult($result);
	}


}
?>
